Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Message.CONSUMPTION_STATUS

    java.lang.Object
      java.lang.Enum<Message.CONSUMPTION_STATUS>
          com.skype.api.Message.CONSUMPTION_STATUS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Message.CONSUMPTION_STATUS>

Enclosing class:
  Message

    public static enum Message.CONSUMPTION_STATUS

extends java.lang.Enum<Message.CONSUMPTION_STATUS>

Indicates if a message has been consumed (meaning read) or not

Enum Constant Summary
`CONSUMED` Message has been read.
`UNCONSUMED_ELEVATED` This message consumption state is marked as DEPRECATED
`UNCONSUMED_NORMAL` Notify the user that they have this unread message
`UNCONSUMED_SUPPRESSED` Do not notify the user that they have this unread message

Method Summary
`static Message.CONSUMPTION_STATUS` | `fromString(java.lang.String s)`
`static Message.CONSUMPTION_STATUS` | `get(int code)`
`int` | `getId()`
`static Message.CONSUMPTION_STATUS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Message.CONSUMPTION_STATUS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONSUMED

    public static final Message.CONSUMPTION_STATUS CONSUMED

  Message has been read. Note that this is a read-only property. Consumption status of individual messages can not be set selectively. Message consumption status is determined at the conversation level, based conversation consumption horizon and individual message timestamps. Conversation consumption horizon can be updated with Conversation.SetConsumedHorizon method.

### UNCONSUMED_SUPPRESSED

    public static final Message.CONSUMPTION_STATUS UNCONSUMED_SUPPRESSED

  Do not notify the user that they have this unread message

### UNCONSUMED_NORMAL

    public static final Message.CONSUMPTION_STATUS UNCONSUMED_NORMAL

  Notify the user that they have this unread message

### UNCONSUMED_ELEVATED

    public static final Message.CONSUMPTION_STATUS UNCONSUMED_ELEVATED

  This message consumption state is marked as DEPRECATED

Method Detail

### values

    public static Message.CONSUMPTION_STATUS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Message.CONSUMPTION_STATUS c : Message.CONSUMPTION_STATUS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Message.CONSUMPTION_STATUS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Message.CONSUMPTION_STATUS get(int code)

### fromString

    public static Message.CONSUMPTION_STATUS fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.